Bug 137466 - Microsoft Word document docx with content controls gets lost when opened with Writer
Summary: Microsoft Word document docx with content controls gets lost when opened with...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2
Keywords:
Depends on:
Blocks: DOCX-Content_Control
  Show dependency treegraph
 
Reported: 2020-10-14 06:31 UTC by Harish
Modified: 2021-12-20 13:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
MS Word document with content control inside it. (21.15 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-10-14 06:31 UTC, Harish
Details
Compared MSO LO (31.98 KB, image/png)
2020-10-14 14:10 UTC, Timur
Details
Comparison of MS Word and Libre Office handline Content Controls (170.85 KB, image/jpeg)
2020-10-15 13:12 UTC, Harish
Details
The example file opened in Word and current Writer (68.61 KB, image/png)
2020-10-19 13:20 UTC, NISZ LibreOffice Team
Details
The example file in current master (57.90 KB, image/png)
2021-12-20 13:38 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harish 2020-10-14 06:31:51 UTC
Created attachment 166359 [details]
MS Word document with content control inside it.

Create an Microsoft Word document with content control and place some text in it.
Open the document (*.docx file) in LO Writer.
The content controls gets lost and the content inside the Content Controls becomes just a plain text.
This is loss of functionality when user is moving from MS to LO
Comment 1 Timur 2020-10-14 14:10:47 UTC Comment hidden (obsolete)
Comment 2 Harish 2020-10-15 13:11:06 UTC
Microsoft Word Document (docx) files containing Content Controls when opened with Libre office, the content controls are getting lost and the text inside the content controls are just displayed as normal paragraph texts.
Please check the attached image for reference.
Comment 3 Harish 2020-10-15 13:12:22 UTC
Created attachment 166383 [details]
Comparison of MS Word and Libre Office handline Content Controls
Comment 4 Timur 2020-10-15 13:49:14 UTC
You may not set New (confirm) yourself. Just wait someone else. 
But you have rather wrong report. Your screenshot is not with original example. 
You didn't write if you tried to turn on some form toolbar options. 
You can also try to reset/delete user profile.
Comment 5 Harish 2020-10-16 05:36:56 UTC
I think you didn't even have a look at the Bug description. The screenshot clearly has all the details mentioned.
How does an option setting involve here?
I have tried all the possible ways that I can, only after which tried to log a bug to get the experts comment.
To my knowledge, Content Controls are not even supported in Libre.
You didn't even try to address that too. 
Atleast take time to load the attached docx file in your Libre Office writer to see whats happening.
Comment 6 NISZ LibreOffice Team 2020-10-19 13:20:17 UTC
Created attachment 166510 [details]
The example file opened in Word and current Writer

This kind of content control (see Developer tools - Controls - Properties in Word) is not supported well, only its text is retained in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: c064766901722082df0d759c95434c1460fcdba5
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 7 Commit Notification 2021-11-29 10:42:47 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7db38a496a5e458ec12888ddbf63c603706ae3fc

tdf#137466: docx: support w:placeholder & w15:color in w:sdtPr

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Vasily Melenchuk (CIB) 2021-11-29 10:49:55 UTC
Seems resolved. Sdt support is still far beyond perfect, but placeholder and color data is not lost during roundtrip of sample document.
Comment 9 Commit Notification 2021-12-03 09:02:35 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/1733ed0935125814c963e37383f51daec8031e59

tdf#137466: docx: support w:placeholder & w15:color in w:sdtPr

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Gabor Kelemen (allotropia) 2021-12-20 13:38:52 UTC
Created attachment 177039 [details]
The example file in current master

Version: 7.4.0.0.alpha0+ (x86) / LibreOffice Community
Build ID: 40487d9c81c69c4e5ee1621e53c8162ae33c80b2
CPU threads: 13; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded

Now the content control is imported as a field.